---
title: Stop Message
description: Stops an in-flight assistant message generation. The agent aborts at the next safe point and the message is marked finished.
product: Platform API
type: reference
prerequisites:
  - /docs/api/platform/quickstart
---

# Stop Message



<EndpointDisplay method="post" path="/chats/{chatId}/messages/{messageId}/stop" versionPrefix="/v2" />

## Usage [#usage]

<CustomCodeBlock languages="['TypeScript', 'cURL']" defaultLanguage="TypeScript">
  <CodeVariant
    language="TypeScript"
    title="TypeScript Example"
    code="`import { v0 } from 'v0-sdk'

const result = await v0.messages.stop({
  chatId: 'chat_abc123',
  messageId: 'msg_xyz789',
})

console.log(result)`"
  />

  <CodeVariant
    language="cURL"
    title="cURL Example"
    code="`curl -X POST &#x22;https://api.v0.dev/api/v2/chats/chat_abc123/messages/chat_abc123/stop&#x22; \
  -H &#x22;Authorization: Bearer $V0_API_KEY&#x22; \
  -H &#x22;Content-Type: application/json&#x22;`"
  />
</CustomCodeBlock>

## API Signature [#api-signature]

### Request [#request]

#### Path Parameters [#path-parameters]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;chatId&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;The unique identifier of the chat.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;messageId&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;The unique identifier of the assistant message to stop.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>

### Response [#response]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;success&#x22;,
    &#x22;type&#x22;: &#x22;'true'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Always true when the stop signal was successfully sent.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>
